InsightsRetrieve insight
Insights

Retrieve insight

Fetch a single insight by its ID.

curl -X GET "https://api.mythic-analytics.com/api/v1/insights/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "id": "ins_8kN2mPqR",
    "name": "Daily Active Users",
    "description": "example_string",
    "query": {},
    "visualization": {},
    "created_at": "2024-05-10T08:00:00.000Z",
    "updated_at": "2024-06-01T12:30:00.000Z"
  }
}
GET
/insights/{id}
GET
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Insight identifier.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Insight identifier.

Responses

successboolean
dataobject